Retorna o link de saída do Atlas do projeto e o status de sincronização. Requer uma função de leitura do projeto . A topologia do cluster (hosts/IPs) é omitida — somente o status. egress_sync.cluster_count é o número de clusters no último snapshot armazenado bem-sucedido (0 significa que o Atlas não retornou nenhum - geralmente pausado, sem servidor ou um projeto vazio).
Respostas
-
Versão de API não permitida ou malformada, uma operação indisponível no contrato publicado selecionado ou uma representação inaceitável (incluindo parâmetros de tipo de mídia não suportados ou SSE excluído). Falhas existentes de autenticação, autorização e limite de taxa têm precedência.
-
OK
-
Solicitação inválida
-
Proibido
-
Não encontrado
-
Erro interno do servidor
GET /api/v1/projects/{id}/atlas-link
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/atlas-link' \
--header "Authorization: $API_KEY"
Exemplos de resposta (406)
Operação indisponível
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (200)
{
"atlas_project": {
"environment": "string",
"project_id": "string"
},
"egress_sync": {
"cluster_count": 42,
"clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"clusters_differ": true,
"last_success_at": "string",
"last_sync_at": "string",
"live_clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"live_fetch_error": "string",
"sync_error": "string",
"sync_status": "string"
},
"name": "string",
"org_id": "string",
"project_id": "string"
}
Exemplos de resposta (200)
{
"atlas_project": {
"environment": "string",
"project_id": "string"
},
"egress_sync": {
"cluster_count": 42,
"clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"clusters_differ": true,
"last_success_at": "string",
"last_sync_at": "string",
"live_clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"live_fetch_error": "string",
"sync_error": "string",
"sync_status": "string"
},
"name": "string",
"org_id": "string",
"project_id": "string"
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (403)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (403)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (404)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (404)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}